# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.90"
name = "lexe-node-client"
version = "0.1.8"
authors = [
    "Max Fang <max@lexe.app>",
    "Philip Hayes <philip@lexe.app>",
]
build = false
exclude = ["/test_data"]
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Client types used to connect to your Lexe Node"
documentation = "https://docs.rs/lexe-node-client"
readme = "crates-io.md"
license = "MIT"
repository = "https://github.com/lexe-app/lexe-public"
resolver = "2"

[features]
default = []
test-utils = ["proptest-derive"]

[lib]
name = "lexe_node_client"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1"

[dependencies.arc-swap]
version = "1.7"

[dependencies.async-trait]
version = "0.1"

[dependencies.base64]
version = "0.21"

[dependencies.http]
version = "1"

[dependencies.lexe-api]
version = "0.1.8"

[dependencies.lexe-common]
version = "0.1.8"

[dependencies.lexe-crypto]
version = "0.1.8"

[dependencies.lexe-enclave]
version = "0.1.8"

[dependencies.lexe-tls]
version = "0.1.8"

[dependencies.proptest-derive]
version = "0.5"
optional = true

[dependencies.reqwest]
version = "0.12"
features = [
    "http2",
    "rustls-tls-manual-roots",
]
default-features = false

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dev-dependencies.lexe-common]
version = "0.1.8"
features = ["test-utils"]

[dev-dependencies.lexe-tls]
version = "0.1.8"
features = ["test-utils"]

[dev-dependencies.proptest]
version = "1"
default-features = false

[dev-dependencies.proptest-derive]
version = "0.5"
